ChartDirector Ver 5.0 (PHP Edition)

JsChartViewer.setMinimumDrag

Usage

setMinimumDrag(offset)

Description

Sets the minimum mouse drag distance before it is considered as an intentional drag.
A mouse drag occurs if the mouse button is down while the mouse moves. However, sometimes a user may want to click on a point, but due to mouse vibrations, the mouse moves by a small amount while the button is still down. This may then be interpreted as a mouse drag.
This method determines the minimum drag distance in pixels before it is considered as an intentional drag. The default is 5 pixels. Non-intentional drags will be handled as mouse clicks instead of drags.

Arguments

Argument | Default | Description
--- | --- | ---
offset | (Mandatory) | The minimum mouse drag distance in pixels before it is considered as an intentional drag.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.